View Issue Details

IDProjectCategoryView StatusLast Update
0002967TechDraw[FreeCAD] Featurepublic2017-11-25 15:04
ReporterHoWilAssigned Towandererfan 
PrioritylowSeverityminorReproducibilityalways
Status closedResolutionreopened 
Product Version 
Target Version[FreeCAD] 0.17Fixed in Version[FreeCAD] 0.17 
Summary0002967: Automatically opening of drawing - switch needed
DescriptionWhen opening a .fcstd file including a (techdraw-) drawing also the drawing is opened automatically. This is somehow annoying for my ? .. I do not always need the drawing at startup and have to close it than.
Is it possible to insert a switch in the preferences so drawings (similar to the spreadsheets) are not opened automatically ?

Discussion in Forum see https://forum.freecadweb.org/viewtopic.php?f=10&t=21315#p165291
Tagsdrawing, TechDraw

Activities

Kunda1

2017-03-15 20:51

administrator   ~0008633

@wandererfan do you mind weighing in?

wandererfan

2017-05-09 00:55

developer   ~0008921

@HoWil: is the problem having the tabs open, or the delay while the features are computed? I assume it is the delay, but the fixes are different, so I just want to be sure.

HoWil

2017-06-23 20:25

developer   ~0009494

wandererfan wrote

is the problem having the tabs open, or the delay while the features are computed?

It is a problem that the drawing opens automatically even if it was closed when saving the document. So yes it the point 'having the tabs open'.

wandererfan

2017-06-24 14:49

developer   ~0009519

I don't think the FCSTD file remembers what tabs were open at save/close time, but I'll look into it.

Kunda1

2017-09-08 18:01

administrator   ~0010095

Fix by wandererfan in FreeCAD Pull Request 977

wmayer

2017-09-10 13:39

administrator   ~0010103

https://github.com/FreeCAD/FreeCAD/commit/b68b7badca17cad635609076af1ddb19a292ce30

wmayer

2017-09-10 15:00

administrator   ~0010104

I cannot confirm that this feature is implemented. When opening a project with a techdraw drawing it is still displayed after project load.

I would have expected a check inside ViewProviderPage::finishRestoring() not to invoke showMDIViewPage()

wmayer

2017-11-25 15:04

administrator   ~0010471

https://github.com/FreeCAD/FreeCAD/commit/7de79e799747cfa138bb9534bb7e618961af43ed

Issue History

Date Modified Username Field Change
2017-03-15 12:59 HoWil New Issue
2017-03-15 12:59 HoWil Tag Attached: drawing
2017-03-15 12:59 HoWil Tag Attached: TechDraw
2017-03-15 20:50 Kunda1 Project FreeCAD => TechDraw
2017-03-15 20:51 Kunda1 Note Added: 0008633
2017-05-09 00:55 wandererfan Note Added: 0008921
2017-06-23 20:25 HoWil Note Added: 0009494
2017-06-24 14:49 wandererfan Note Added: 0009519
2017-09-08 18:01 Kunda1 Note Added: 0010095
2017-09-08 18:01 Kunda1 Assigned To => wandererfan
2017-09-08 18:01 Kunda1 Status new => assigned
2017-09-10 13:39 wmayer Status assigned => closed
2017-09-10 13:39 wmayer Resolution open => fixed
2017-09-10 13:39 wmayer Fixed in Version => 0.17
2017-09-10 13:39 wmayer Note Added: 0010103
2017-09-10 15:00 wmayer Status closed => new
2017-09-10 15:00 wmayer Resolution fixed => reopened
2017-09-10 15:00 wmayer Note Added: 0010104
2017-11-25 15:04 wmayer Status new => closed
2017-11-25 15:04 wmayer Note Added: 0010471